# Uses of Interface
org.picocontainer.Converters

Packages that use Converters
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.containers
Containers are the main user entry point for PicoContainer.
org.picocontainer.converters
Individual String to Type converters, that PicoContainer may use to convert types where required.

## Uses of Converters in org.picocontainer

Methods in org.picocontainer that return Converters
Modifier and Type
Method
Description
`Converters`
Converting.`getConverters()`
Retrieve the set of converters for transforming string parameters into objects.
`Converters`
DefaultPicoContainer.`getConverters()`
If this container has a set of converters, then return it.

## Uses of Converters in org.picocontainer.containers

Classes in org.picocontainer.containers that implement Converters
Modifier and Type
Class
Description
`class`
`CompositePicoContainer.CompositeConverters`
Methods in org.picocontainer.containers that return Converters
Modifier and Type
Method
Description
`Converters`
AbstractDelegatingPicoContainer.`getConverters()`
`Converters`
CompositePicoContainer.`getConverters()`
`Converters`
EmptyPicoContainer.`getConverters()`
`Converters`
ImmutablePicoContainer.`getConverters()`

## Uses of Converters in org.picocontainer.converters

Classes in org.picocontainer.converters that implement Converters
Modifier and Type
Class
Description
`class`
`BuiltInConverters`
Provides some built-in converters used by
invalid reference

    DefaultPicoContainer

.
`class`
`ConvertsNothing`
Null-object implementation of Converters